﻿#!/usr/bin/env python
# -*- coding: utf-8 -*-

from gerenciaAgente import *
from bancoDados import *
from gerente import *
from opcoes import *
import threading


class Conecta:
	global db
	global dicOpcoes
	global gerenciaagente, gerente, conectaApp

	def __gerenciaAgente__(self):
		
		
		self.gerenciaagente.show()
		
	def sinais(self):
		self.gerente.connect(self.gerente.agentesGerenciarAction, SIGNAL('activated()'), self.__gerenciaAgente__)
	
	def __init__(self, argv):
		opcoes = Opcoes()
		self.dicOpcoes = opcoes.ler()
		self.__conectarBancoDados__()
		
		# Cria uma nova aplicacao grafica
		self.conectaApp = QApplication(argv)
		
		# Carrega instancia do gerente
		gerente = Gerente(self.db)
		self.gerente = gerente.gui()
		
		# Carrega instancia do agente
		gerenciaagente = gerenciaAgente(self.db)
		self.gerenciaagente = gerenciaagente.gui()
		
		# Adiciona os sinais
		self.sinais()
		
		# Abre janela principal
		self.gerente.showMaximized()
		self.conectaApp.setMainWidget(self.gerente)
		self.conectaApp.exec_loop()
	
	# Conecta no banco de dados
	def __conectarBancoDados__(self):
		mysql = bancoDados()
		self.db = mysql.conectar("localhost", "conecta", "conecta", "conecta")

if __name__ == "__main__":
	conecta = Conecta(sys.argv)
